Debian Bug report logs - #643801
ITA: stgit -- manage stacks of patches in a git

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Yann Dirson <ydirson@free.fr>

Date: Thu, 29 Sep 2011 19:36:02 UTC

Owned by: Peter P Waskiewicz Jr <peter.p.waskiewicz.jr@intel.com>

Severity: normal

Fixed in version stgit/0.17.1-1

Done: Maximiliano Curia <maxy@debian.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#643801; Package wnpp. (Thu, 29 Sep 2011 19:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yann Dirson <ydirson@free.fr>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Thu, 29 Sep 2011 19:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yann Dirson <ydirson@free.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFA: stgit -- manage stacks of patches in a git repository
Date: Thu, 29 Sep 2011 21:34:15 +0200
Package: wnpp
Severity: normal

I request an adopter for the stgit package.

I don't use it any more myself (I'm more of a "git rebase" user now),
but popcon seems to show many users left, despite a recent stagnation.
Possibly a snapshot could be packaged to compensate fo the very long
release cycle, but someone closely following the stgit development
would be much better suited to that job :)

The package description is:
 stgit provides similar functionality to quilt
 (i.e. pushing/popping patches to/from a stack) on top of git.
 .
 These operations are performed using git commands and the patches
 are stored as git commit objects, allowing easy merging of the stgit
 patches into other repositories using standard git functionality.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#643801; Package wnpp. (Fri, 30 Dec 2011 17:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Bergey <bergey@alum.mit.edu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 30 Dec 2011 17:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 643801@bugs.debian.org (full text, mbox):

From: Daniel Bergey <bergey@alum.mit.edu>
To: 643801@bugs.debian.org
Subject: Re: RFA: stgit -- manage stacks of patches in a git repository
Date: Fri, 30 Dec 2011 12:54:16 -0500
I use stgit as well as git rebase, and I'd be interested in maintaining
stgit.  This would be my first experience maintaining a package.  Would
you be available to sponsor and review uploads?

I have not been in touch with upstream, but would be happy contact them
and try to find a suitable snapshot to package.

Thanks,
Daniel




Changed Bug title to 'ITA: stgit -- manage stacks of patches in a git' from 'RFA: stgit -- manage stacks of patches in a git repository' Request was from Daniel Bergey <bergey@alum.mit.edu> to control@bugs.debian.org. (Sat, 07 Jan 2012 02:33:08 GMT) Full text and rfc822 format available.

Owner recorded as Daniel Bergey <bergey@alum.mit.edu>. Request was from Daniel Bergey <bergey@alum.mit.edu> to control@bugs.debian.org. (Sat, 07 Jan 2012 02:33:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Daniel Bergey <bergey@alum.mit.edu>:
Bug#643801; Package wnpp. (Sun, 22 Jul 2012 14:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Daniel Bergey <bergey@alum.mit.edu>. (Sun, 22 Jul 2012 14:45:05 GMT) Full text and rfc822 format available.

Message #19 received at 643801@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: 643801@bugs.debian.org
Subject: RFA: stgit -- manage stacks of patches in a git
Date: Sun, 22 Jul 2012 14:42:49 +0000
retitle 643801 RFA: stgit -- manage stacks of patches in a git
noowner 643801
stop

The ITA owner has had a package at mentors but that package is no longer there
and he has not answered the question of 15 June 2012 on bug 677021.  I'm
assuming that the ITA owner is no longer interested.

Regards,

Bart Martens



Changed Bug title to 'RFA: stgit -- manage stacks of patches in a git' from 'ITA: stgit -- manage stacks of patches in a git' Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Sun, 22 Jul 2012 14:45:07 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Daniel Bergey <bergey@alum.mit.edu>. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Sun, 22 Jul 2012 14:45:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#643801; Package wnpp. (Tue, 11 Dec 2012 01:04:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 11 Dec 2012 01:04:01 GMT) Full text and rfc822 format available.

Message #28 received at 643801@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: 643801@bugs.debian.org
Cc: control@bugs.debian.org
Subject: stgit: changing back from ITA to O
Date: Tue, 11 Dec 2012 01:00:35 +0000
retitle 643801 O: stgit -- manage stacks of patches in a git
noowner 643801
tag 643801 - pending
thanks

Hi,

This is an automatic email to change the status of stgit back from ITA
(Intent to Adopt) to O (Orphaned), because this bug hasn't seen any activity
during the last 6 months.

If you are still interested in adopting stgit, please send a mail to
<control@bugs.debian.org> with:

 retitle 643801 ITA: stgit -- manage stacks of patches in a git
 owner 643801 !
 thanks

However, it is not recommended to keep ITA for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
adopting the package. It is also a good idea to document your progress on this
ITA from time to time, by mailing <643801@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Frank, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'O: stgit -- manage stacks of patches in a git' from 'RFA: stgit -- manage stacks of patches in a git' Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Tue, 11 Dec 2012 01:05:24 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFA: stgit -- manage stacks of patches in a git' from 'O: stgit -- manage stacks of patches in a git' Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Mon, 24 Dec 2012 11:54:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#643801; Package wnpp. (Fri, 28 Jun 2013 00:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter P Waskiewicz Jr <peter.p.waskiewicz.jr@intel.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 28 Jun 2013 00:30:04 GMT) Full text and rfc822 format available.

Message #37 received at 643801@bugs.debian.org (full text, mbox):

From: Peter P Waskiewicz Jr <peter.p.waskiewicz.jr@intel.com>
To: control@bugs.debian.org
Cc: 643801@bugs.debian.org
Subject: stgit maintainer request
Date: Thu, 27 Jun 2013 17:15:18 -0700
retitle 643801 ITA: stgit -- manage stacks of patches in a git
owner 643801

I am one of the (newer) maintainers for the stgit tree on gna.org.  I
would like to take ownership of maintenance of the Debian package for
stgit.

Cheers,
-PJ Waskiewicz




Changed Bug title to 'ITA: stgit -- manage stacks of patches in a git' from 'RFA: stgit -- manage stacks of patches in a git' Request was from Peter P Waskiewicz Jr <peter.p.waskiewicz.jr@intel.com> to control@bugs.debian.org. (Fri, 28 Jun 2013 00:30:07 GMT) Full text and rfc822 format available.

Owner recorded as Peter P Waskiewicz Jr <peter.p.waskiewicz.jr@intel.com>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Fri, 28 Jun 2013 06:09:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Peter P Waskiewicz Jr <peter.p.waskiewicz.jr@intel.com>:
Bug#643801; Package wnpp. (Wed, 26 Mar 2014 14:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Maximiliano Curia <maxy@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Peter P Waskiewicz Jr <peter.p.waskiewicz.jr@intel.com>. (Wed, 26 Mar 2014 14:57:08 GMT) Full text and rfc822 format available.

Message #46 received at 643801@bugs.debian.org (full text, mbox):

From: Maximiliano Curia <maxy@debian.org>
To: 643801@bugs.debian.org, Peter P Waskiewicz Jr <peter.p.waskiewicz.jr@intel.com>, Daniel Bergey <bergey@alum.mit.edu>
Subject: Preparing an updated stgit package
Date: Wed, 26 Mar 2014 15:55:37 +0100
[Message part 1 (text/plain, inline)]
Hi,

I'm preparing the packages for stgit 0.17.1 and I've uploaded the preliminar
packaging to alioth's collab-maint [1]. And I would like to invite the
previous ITA owners, as well as anyone interested in stgit, to comaintain it.

Thanks,

[1] http://anonscm.debian.org/gitweb/?p=collab-maint/stgit.git
    git://git.debian.org/git/collab-maint/stgit.git
-- 
"Email is a wonderful thing for people whose role in life is to be on top of
things. But not for me; my role is to be on the bottom of things. What I do
takes long hours of studying and uninterruptible concentration."
-- Donald Knuth
Saludos /\/\ /\ >< `/
[signature.asc (application/pgp-signature, inline)]

Reply sent to Maximiliano Curia <maxy@debian.org>:
You have taken responsibility. (Wed, 26 Mar 2014 18:36:17 GMT) Full text and rfc822 format available.

Notification sent to Yann Dirson <ydirson@free.fr>:
Bug acknowledged by developer. (Wed, 26 Mar 2014 18:36:17 GMT) Full text and rfc822 format available.

Message #51 received at 643801-close@bugs.debian.org (full text, mbox):

From: Maximiliano Curia <maxy@debian.org>
To: 643801-close@bugs.debian.org
Subject: Bug#643801: fixed in stgit 0.17.1-1
Date: Wed, 26 Mar 2014 18:33:44 +0000
Source: stgit
Source-Version: 0.17.1-1

We believe that the bug you reported is fixed in the latest version of
stgit, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 643801@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Maximiliano Curia <maxy@debian.org> (supplier of updated stgit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 26 Mar 2014 19:18:23 +0100
Source: stgit
Binary: stgit stgit-contrib
Architecture: source all
Version: 0.17.1-1
Distribution: unstable
Urgency: medium
Maintainer: Maximiliano Curia <maxy@debian.org>
Changed-By: Maximiliano Curia <maxy@debian.org>
Description: 
 stgit      - manage stacks of patches in a git repository
 stgit-contrib - set of contributed script to help working with stgit
Closes: 465343 556525 600238 643801 656804 669664
Changes: 
 stgit (0.17.1-1) unstable; urgency=medium
 .
   * New upstream release. (Closes: #669664, #465343, #600238, #656804)
   * New maintainer. (Closes: #643801)
   * Install additional documentation. (#Closes: #556525)
Checksums-Sha1: 
 c3e45b24585841308cbf64c2fea7aea0c7eebdf3 1908 stgit_0.17.1-1.dsc
 5918fd983919ab70ab191868b84e917a06556cc2 398466 stgit_0.17.1.orig.tar.gz
 0062fe0f6e2584768c17ba48eb613e48b991e4d2 66192 stgit_0.17.1-1.debian.tar.xz
 9cb1c95caef4906bfb1416a6d8c812a13967d44d 347026 stgit_0.17.1-1_all.deb
 64023b974e19dd780efaa5bc54ac6a78458d2955 204046 stgit-contrib_0.17.1-1_all.deb
Checksums-Sha256: 
 50148d477001194b9ce94531a26d6c31477d7e4d43b348d2fab2a199464f956b 1908 stgit_0.17.1-1.dsc
 d43365a0c22e41a6fb9ba1a86de164d6475e79054e7f33805d6a829eb4056ade 398466 stgit_0.17.1.orig.tar.gz
 73b767eaf737aa515582429225bd29643f830dfab244d10bfd79b2abd2e3ef82 66192 stgit_0.17.1-1.debian.tar.xz
 fb2c0cf617e61315263cca3795933db5787895bede56fcb7edab287ecbc3ecbe 347026 stgit_0.17.1-1_all.deb
 f531bee6f2d6caad0562ff59b93b2291d73581ff47ee7a40de2df7d6ab9a96e5 204046 stgit-contrib_0.17.1-1_all.deb
Files: 
 5ba24b890e7bef416b94e7ebe555624c 1908 vcs optional stgit_0.17.1-1.dsc
 12e10e73276fa865098a23f032effd9b 398466 vcs optional stgit_0.17.1.orig.tar.gz
 f0c85fe46b1e0a73232e5faabc9ce719 66192 vcs optional stgit_0.17.1-1.debian.tar.xz
 47ef258508977a5d95f241124ac948a4 347026 vcs optional stgit_0.17.1-1_all.deb
 06ff25bd57a5471879fb7620e79d5ce3 204046 vcs optional stgit-contrib_0.17.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJTMxwRAAoJEMcZdpmymyMq/HIP/2s78AwIff9vm94SH7pSNR3z
YIbZNy4HBqd2fYrJ9C7JDxSMiqK+PnGd7Zvw307p04tttl0VzPH00DTvpCJZQqNn
QHg8oXlXxp5tnFFL/uhB47RHOY6eHYYBhs9GGJxDePi4mnpGtapxKxflx/wsryKo
13NK2jYohNnAIjmc2b1VOY13bECrItzAn4CBQYsZNlRELHuAjupwqLY9iv/ofUIi
0ZNhHM+9ct/dl9MjwTkonnkwoKHgd0p+kxgphlcJDGvrEhquzpSiSufO8HrZI3KL
AjRI3INL7jk8tk2JVJo92XI7kxE2XhaYnKjE2vTvoJNfmI7mcWZBrP2WGC+NQb8x
XfhtPbxEqvGc+ttjUajbnXTfk5mKlO7FR08eC3zHe6kjeXY8AKPrBvi8ygsDXTdr
8Bjv7HTDDd2r9oWnZIWYKg+NSlmH9CATz2BR47JDPJSdYpzUdVUry1zQQ5w6Hv1g
whO/MZsl1YihHD9XB5F5fs55bz2wRTa0xVkBx9WkL8MnT/qh77bryvpyQI+cRkWP
FFTZd1jOhkaKBGvu2tFi+qh55HO1O8z/+ZFKtRxdSU7tvV5+FJsn3yX2rcR2dLMk
DRFMi5C44ylnswIdizDQbWZOOg8lH4tvQgRF/nlVtheVU4yktwx78BsoQ6E5ujAl
cPCyI8W+Phuj/k/bQgkt
=NS1N
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Peter P Waskiewicz Jr <peter.p.waskiewicz.jr@intel.com>:
Bug#643801; Package wnpp. (Thu, 27 Mar 2014 10:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Waskiewicz Jr, Peter P" <peter.p.waskiewicz.jr@intel.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Peter P Waskiewicz Jr <peter.p.waskiewicz.jr@intel.com>. (Thu, 27 Mar 2014 10:57:10 GMT) Full text and rfc822 format available.

Message #56 received at 643801@bugs.debian.org (full text, mbox):

From: "Waskiewicz Jr, Peter P" <peter.p.waskiewicz.jr@intel.com>
To: Maximiliano Curia <maxy@debian.org>
Cc: "643801@bugs.debian.org" <643801@bugs.debian.org>, Daniel Bergey <bergey@alum.mit.edu>, catalin.marinas <catalin.marinas@gmail.com>
Subject: Re: Preparing an updated stgit package
Date: Thu, 27 Mar 2014 10:43:06 +0000
[Message part 1 (text/plain, inline)]
I will be working on this in the future, but I'll be doing it from my
gmail account, pjwaskiewicz@gmail.com

I've cc'd Catalin, the other primary maintainer of stgit.

-PJ

On Wed, 2014-03-26 at 15:55 +0100, Maximiliano Curia wrote:
> Hi,
> 
> I'm preparing the packages for stgit 0.17.1 and I've uploaded the preliminar
> packaging to alioth's collab-maint [1]. And I would like to invite the
> previous ITA owners, as well as anyone interested in stgit, to comaintain it.
> 
> Thanks,
> 
> [1] http://anonscm.debian.org/gitweb/?p=collab-maint/stgit.git
>     git://git.debian.org/git/collab-maint/stgit.git

-- 
PJ Waskiewicz				Open Source Technology Center
peter.p.waskiewicz.jr@intel.com		Intel Corp.
[signature.asc (application/pgp-signature, inline)]
[smime.p7s (application/x-pkcs7-signature, attachment)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:48:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.